Subject: Re: [net-next 0/6] move CAN skb headroom content to skb extensions

From: Florian Westphal <[email-masked]>
Date: Wed, 28 Jan 2026 12:35:36 +0100

Jakub Kicinski <[email-masked]> wrote:
> This is fine. Wish we could make md_dst work, since skb_ext still burns
> a bit in the skb (last extension bit in fact, next user will have to
> bump the filed size). And you very much do not route these frames, 
> so dst would work perfectly fine. But whatever.

An alternative would be to 'union' extensions that cannot be
active at the same time.  Something like the br netfilter extension
for example.

When the first extensions were added all of them could be enabled
at same time, but I think that has changed.